Bug 179 (sp_security_fix) - Highlight security fixes
Summary: Highlight security fixes
Status: VERIFIED FIXED
Alias: sp_security_fix
Product: SlackPack
Classification: Web
Component: Core + Web site (show other bugs)
Version: cvs
Hardware: All All
: Normal (P3) major (vote)
Target Milestone: Future
Deadline: 2018-05-19
Assignee: Georgi D. Sotirov
QA Contact: Ivelina G. Beleva-Sotirova
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-15 21:44 EEST by Georgi D. Sotirov
Modified: 2018-05-19 18:54 EEST (History)
1 user (show)

See Also:
My Bug ID:
My description:
My date:
My choice:
My selection: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Georgi D. Sotirov 2018-05-15 21:44:15 EEST
Packages including security fix(es) should be clearly indicated in the site, which includes the folowing:

* in Latest packages lists on the main page;
* in pacakge searches;
* in package details.

It should be possible to register a package as security fix.
Comment 1 Georgi D. Sotirov 2018-05-15 21:45:26 EEST
In the database the packages would be marked with a flag 'security fix'.
Comment 2 Georgi D. Sotirov 2018-05-15 22:39:34 EEST
Modifications described in summary are implemented and committed:

$ cvs commit -m 'Add column security_fix to the list' SlackPack/Package.pm
Checking in SlackPack/Package.pm;
/var/cvs/repos/public/projects/web/slackpack/SlackPack/Package.pm,v  <--  Package.pm
new revision: 1.65; previous revision: 1.64
done
$ cvs commit -m 'Add tr.security_fix, tr.security_fix:hover and .sec_fix_box styles' style/default.css
Checking in style/default.css;
/var/cvs/repos/public/projects/web/slackpack/style/default.css,v  <--  default.css
new revision: 1.59; previous revision: 1.58
done
$ cvs commit -m 'Use security_fix stile in case of security fix pacakge' template/bg/index.html.tmpl
Checking in template/bg/index.html.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/index.html.tmpl,v  <--  index.html.tmpl
new revision: 1.9; previous revision: 1.8
done
$ cvs commit -m 'Use security_fix stile in case of security fix pacakge, fix headers on second latest list' template/en/index.html.tmpl
Checking in template/en/index.html.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/index.html.tmpl,v  <--  index.html.tmpl
new revision: 1.47; previous revision: 1.46
done
$ cvs commit -m 'Use security_fix style in case of security fix package' template/bg/search/results.html.tmpl template/en/search/results.html.tmpl
Checking in template/bg/search/results.html.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/search/results.html.tmpl,v  <--  results.html.tmpl
new revision: 1.6; previous revision: 1.5
done
Checking in template/en/search/results.html.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/search/results.html.tmpl,v  <--  results.html.tmpl
new revision: 1.22; previous revision: 1.21
done
$ cvs commit -m 'Display security fix box with sec_fix_box style' template/bg/package.html.tmpl template/en/package.html.tmpl
Checking in template/bg/package.html.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/package.html.tmpl,v  <--  package.html.tmpl
new revision: 1.9; previous revision: 1.8
done
Checking in template/en/package.html.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/package.html.tmpl,v  <--  package.html.tmpl
new revision: 1.61; previous revision: 1.60
done
Comment 3 Georgi D. Sotirov 2018-05-17 20:27:09 EEST
Registration of packages would not ask and initialize security_fix flag:

$ cvs commit -m 'Bug 179: Ask for security fix, assign to package and print into summary'
cvs commit: Examining .
Checking in regpkg;
/var/cvs/repos/public/projects/web/slackpack/util/regpkg,v  <--  regpkg
new revision: 1.15; previous revision: 1.14
done
Comment 5 Georgi D. Sotirov 2018-05-18 11:28:56 EEST
Provide also link to ChangeLog.txt and repository for easy reference:

$ cvs commit -m 'Bug 179: Provide primary mirror as repo' pack.cgi
Checking in pack.cgi;
/var/cvs/repos/public/projects/web/slackpack/pack.cgi,v  <--  pack.cgi
new revision: 1.27; previous revision: 1.26
done
$ cvs commit -m 'Bug 179: Add links to ChangeLog.txt and repository in security fix box' template/bg/package.html.tmpl template/en/package.html.tmpl
Checking in template/bg/package.html.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/package.html.tmpl,v  <--  package.html.tmpl
new revision: 1.10; previous revision: 1.9
done
Checking in template/en/package.html.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/package.html.tmpl,v  <--  package.html.tmpl
new revision: 1.62; previous revision: 1.61
done
Comment 6 Georgi D. Sotirov 2018-05-18 21:37:58 EEST
Nothing more to be done for this one.
Comment 7 Georgi D. Sotirov 2018-05-19 08:53:53 EEST
I had forgot about feeds. Security fixes should be highlighted into those as well.
Comment 8 Georgi D. Sotirov 2018-05-19 18:31:36 EEST
Feeds are updated to display (* Security fix *) in item's title:

$ cvs commit -m 'Update copyright, add security fix information' template/bg/feed/pkginfo.xml.tmpl template/en/feed/pkginfo.xml.tmpl
Checking in template/bg/feed/pkginfo.xml.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/feed/pkginfo.xml.tmpl,v  <--  pkginfo.xml.tmpl
new revision: 1.4; previous revision: 1.3
done
Checking in template/en/feed/pkginfo.xml.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/feed/pkginfo.xml.tmpl,v  <--  pkginfo.xml.tmpl
new revision: 1.4; previous revision: 1.3
done

$ cvs commit -m 'Add security fix in item title'
Checking in template/bg/feed/latest.atom.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/feed/latest.atom.tmpl,v  <--  latest.atom.tmpl
new revision: 1.5; previous revision: 1.4
done
Checking in template/bg/feed/latest.rdf.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/feed/latest.rdf.tmpl,v  <--  latest.rdf.tmpl
new revision: 1.5; previous revision: 1.4
done
Checking in template/bg/feed/latest.rss.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/feed/latest.rss.tmpl,v  <--  latest.rss.tmpl
new revision: 1.6; previous revision: 1.5
done
Checking in template/en/feed/latest.atom.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/feed/latest.atom.tmpl,v  <--  latest.atom.tmpl
new revision: 1.19; previous revision: 1.18
done
Checking in template/en/feed/latest.rdf.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/feed/latest.rdf.tmpl,v  <--  latest.rdf.tmpl
new revision: 1.17; previous revision: 1.16
done
Checking in template/en/feed/latest.rss.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/feed/latest.rss.tmpl,v  <--  latest.rss.tmpl
new revision: 1.22; previous revision: 1.21
done

$ cvs commit -m 'Update copyright, fix language, add security fix in item title' template/bg/feed/category.rdf.tmpl template/bg/feed/category.rss.tmpl template/bg/feed/slack.rss.tmpl template/bg/feed/slack.rdf.tmpl template/en/feed/slack.atom.tmpl
Checking in template/bg/feed/category.rdf.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/feed/category.rdf.tmpl,v  <--  category.rdf.tmpl
new revision: 1.5; previous revision: 1.4
done
Checking in template/bg/feed/category.rss.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/feed/category.rss.tmpl,v  <--  category.rss.tmpl
new revision: 1.5; previous revision: 1.4
done
Checking in template/bg/feed/slack.rss.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/feed/slack.rss.tmpl,v  <--  slack.rss.tmpl
new revision: 1.4; previous revision: 1.3
done
Checking in template/bg/feed/slack.rdf.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/feed/slack.rdf.tmpl,v  <--  slack.rdf.tmpl
new revision: 1.4; previous revision: 1.3
done
Checking in template/en/feed/slack.atom.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/feed/slack.atom.tmpl,v  <--  slack.atom.tmpl
new revision: 1.7; previous revision: 1.6
done

$ cvs commit -m 'Update copyright, add security fix in item title'
Checking in template/bg/feed/category.atom.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/feed/category.atom.tmpl,v  <--  category.atom.tmpl
new revision: 1.6; previous revision: 1.5
done
Checking in template/bg/feed/slack.atom.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/feed/slack.atom.tmpl,v  <--  slack.atom.tmpl
new revision: 1.4; previous revision: 1.3
done
Checking in template/bg/feed/vendor.atom.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/feed/vendor.atom.tmpl,v  <--  vendor.atom.tmpl
new revision: 1.4; previous revision: 1.3
done
Checking in template/bg/feed/vendor.rdf.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/feed/vendor.rdf.tmpl,v  <--  vendor.rdf.tmpl
new revision: 1.3; previous revision: 1.2
done
Checking in template/bg/feed/vendor.rss.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/bg/feed/vendor.rss.tmpl,v  <--  vendor.rss.tmpl
new revision: 1.3; previous revision: 1.2
done
Checking in template/en/feed/category.atom.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/feed/category.atom.tmpl,v  <--  category.atom.tmpl
new revision: 1.20; previous revision: 1.19
done
Checking in template/en/feed/category.rdf.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/feed/category.rdf.tmpl,v  <--  category.rdf.tmpl
new revision: 1.15; previous revision: 1.14
done
Checking in template/en/feed/category.rss.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/feed/category.rss.tmpl,v  <--  category.rss.tmpl
new revision: 1.20; previous revision: 1.19
done
Checking in template/en/feed/slack.rdf.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/feed/slack.rdf.tmpl,v  <--  slack.rdf.tmpl
new revision: 1.7; previous revision: 1.6
done
Checking in template/en/feed/slack.rss.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/feed/slack.rss.tmpl,v  <--  slack.rss.tmpl
new revision: 1.7; previous revision: 1.6
done
Checking in template/en/feed/vendor.atom.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/feed/vendor.atom.tmpl,v  <--  vendor.atom.tmpl
new revision: 1.5; previous revision: 1.4
done
Checking in template/en/feed/vendor.rdf.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/feed/vendor.rdf.tmpl,v  <--  vendor.rdf.tmpl
new revision: 1.4; previous revision: 1.3
done
Checking in template/en/feed/vendor.rss.tmpl;
/var/cvs/repos/public/projects/web/slackpack/template/en/feed/vendor.rss.tmpl,v  <--  vendor.rss.tmpl
new revision: 1.4; previous revision: 1.3
done
Comment 9 Georgi D. Sotirov 2018-05-19 18:54:10 EEST
Feeds verified through W3C Feed Validation Service and all OK, except for the news feeds for which there are some problems with the content from the database. To be investigated and addressed later.

Close again.


bug/show.html.tmpl processed on May 20, 2018 at 18:37:16.
(provided by the Example extension).